%define pypi_name autopep8

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 1
Summary:        The package autopep8 formats Python code based on the output of the pep8 utility
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/autopep8/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3dist(setuptools)

%description
autopep8 formats Python code based on the output of the pep8 utility.

%package -n python3-%{pypi_name}
Group:          Development/Python
Summary:        The package autopep8 formats Python code based on the output of the pep8 utility

%description -n python3-%{pypi_name}
autopep8 formats Python code based on the output of the pep8 utility.

%prep
%autosetup -n autopep8-%{version}

sed -i -e '1d' autopep8.py
touch test/__init__.py #test needs to be a python module otherwise test will fial

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

pushd %{buildroot}%{_bindir}
ln -s %{pypi_name} %{pypi_name}-3
ln -s %{pypi_name} %{pypi_name}-%{python3_version}
popd

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-3
%{_bindir}/%{pypi_name}-%{python3_version}


%changelog
* Tue May 14 2024 papoteur <papoteur> 2.1.0-1.mga10
+ Revision: 2064117
- new version 2.1.0

* Tue Dec 26 2023 papoteur <papoteur> 2.0.4-3.mga10
+ Revision: 2021818
- rebuild again for python 3.12

* Sat Dec 09 2023 wally <wally> 2.0.4-2.mga10
+ Revision: 2015985
- rebuild for py3.12
- use pypoject rpm macros

* Sun Oct 22 2023 papoteur <papoteur> 2.0.4-1.mga10
+ Revision: 2000070
- new 2.0.4

* Tue Mar 29 2022 umeabot <umeabot> 1.6.0-2.mga9
+ Revision: 1833312
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 1.6.0-1.mga9
+ Revision: 1783872
- version 1.6.0
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 1.5.6-1.mga9
+ Revision: 1707488
- new version: 1.5.6

* Mon Mar 22 2021 daviddavid <daviddavid> 1.5.4-3.mga9
+ Revision: 1707485
- rebuild for python 3.9

* Tue Jan 12 2021 daviddavid <daviddavid> 1.5.4-2.mga8
+ Revision: 1671217
- obsoletes python2-autopep8

* Sun Dec 13 2020 guillomovitch <guillomovitch> 1.5.4-1.mga8
+ Revision: 1656470
- new version 1.5.4

* Tue Feb 18 2020 umeabot <umeabot> 1.4.4-2.mga8
+ Revision: 1538223
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 1.4.4-1.mga8
+ Revision: 1461203
- new version: 1.4.4

* Thu Sep 26 2019 daviddavid <daviddavid> 1.4.3-2.mga8
+ Revision: 1446172
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 1.4.3-1.mga7
+ Revision: 1351109
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.3.2-2.mga7
+ Revision: 1288252
- Mageia 7 Mass Rebuild

* Wed Aug 16 2017 philippem <philippem> 1.3.2-1.mga7
+ Revision: 1141211
- imported package python-autopep8

